Bug 752447 - (plasma-mobile) Review Request: plasma-mobile - A Plasma Active mobile workspace
Review Request: plasma-mobile - A Plasma Active mobile workspace
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2011-11-09 09:45 EST by Jaroslav Reznik
Modified: 2011-11-29 11:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-29 11:05:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
fix desktop-file-validate errors (1.54 KB, patch)
2011-11-09 12:01 EST, Rex Dieter
no flags Details | Diff

  None (edit)
Description Jaroslav Reznik 2011-11-09 09:45:47 EST
Spec URL: http://rezza.hofyland.cz/fedora/packages/plasma-mobile/plasma-mobile.spec
SRPM URL: http://rezza.hofyland.cz/fedora/packages/plasma-mobile/plasma-mobile-0.2-1.fc15.src.rpm
Description: A touch enabled Plasma Active workspace aiming on different
(not only) mobile devices.
Comment 1 Rex Dieter 2011-11-09 12:00:17 EST
A couple of concerns off the top of my head.

1.  desktop-file-validate %check fails. (I'll attach a patch that fixes it for me on f16), upstreamed these fixes already to git.kde.org

2.  %{_qt4_plugindir}/inputmethods/plasmainputcontextplugin.so
will get multilib'd, so probably want to make -libs package for this item

3.  file /usr/lib64/kde4/imports/org/kde/plasma/mobilecomponents is not owned by any package.  can probably just recursively own that dir, instead of enumerating the items under it.
Comment 2 Rex Dieter 2011-11-09 12:01:01 EST
Created attachment 532620 [details]
fix desktop-file-validate errors
Comment 3 Jaroslav Reznik 2011-11-10 08:47:32 EST
Spec URL:
http://rezza.hofyland.cz/fedora/packages/plasma-mobile/plasma-mobile.spec
SRPM URL:
http://rezza.hofyland.cz/fedora/packages/plasma-mobile/plasma-mobile-0.2-2.fc15.src.rpm

(In reply to comment #1)
> A couple of concerns off the top of my head.
> 
> 1.  desktop-file-validate %check fails. (I'll attach a patch that fixes it for
> me on f16), upstreamed these fixes already to git.kde.org

Ah, I had these patches locally, forgot to add to SPEC/SRPM - in your patch, there's still one error, I'll take a look if I can upstream it

> 2.  %{_qt4_plugindir}/inputmethods/plasmainputcontextplugin.so
> will get multilib'd, so probably want to make -libs package for this item

Ok, added -libs.

> 3.  file /usr/lib64/kde4/imports/org/kde/plasma/mobilecomponents is not owned
> by any package.  can probably just recursively own that dir, instead of
> enumerating the items under it.

Fixed.
Comment 4 Rex Dieter 2011-11-11 11:35:50 EST
Looking good.

naming: ok

sources: ok
md5sum *.bz2
ec5560f243a861ea3eedcfc4103cf6d6  plasma-mobile-0.2.tar.bz2

licensing: ok

macros: ok

scriptlets: ok


APPROVED.
Comment 5 Jaroslav Reznik 2011-11-16 05:59:14 EST
New Package SCM Request
=======================
Package Name: plasma-mobile
Short Description: A Plasma Active mobile workspace
Owners: jreznik rdieter kkofler than rnovacek ltinkl
Branches: f16
InitialCC:
Comment 6 Jon Ciesla 2011-11-16 07:09:26 EST
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.